<?php
	include 'config.php';
	include 'classes.php';
	include 'functions.php';
	include 'settings.php';
	
	/* Laden der Localization */
	$ezLoc->get_data("overview");
	$ezLoc->get_data("detail", true);
	
	if (isset($_POST['selector'])) {
		$selector = explode("|", $_POST['selector']);
		$table = $selector[0];
		$column = $selector[1];
		
		$desc = Array();
		$desc['name' ] = $ezstats[$table][$column][0];
		$desc['url']   = $ezstats['relpath']."stylesheets/images/".$table."/".$ezstats[$table][$column][1];
		$desc['short'] = $ezstats[$table][$column][2];
		$desc['long']  = $ezstats[$table][$column][3];
		
		$data = Array();
		$data['hs_img'] = $ezstats['relpath']."stylesheets/images/headshot.png";
		
		eval ("\$template = \"".$ezLoc->get_template("compare_head")."\";");
		echo $template;
		eval ("\$template = \"".$ezLoc->get_template("compare_".$table."_head")."\";");
		echo $template;
		
		
		$players = $ezData->get_all_players("act", "ID");
		foreach ($players as $player) {
			$stats = $ezData->get_stats($player, "default");
			
			$data['rank'] = $ezFunc->convert_stats_data(Array($stats['rank'], $ezstats), "rankicon");
			$data['name'] = $ezFunc->convert_stats_data(Array($stats['name'], $player, $ezstats, $ezLoc->data['view_details'], $ezstats["ranknames"][$stats['rank']], $ezstats['system']), "namelink");
			
			if ($table == "weapons") {
				$stats = $ezData->get_stats($player, $table);
				
				$data['stars'] 			= $ezFunc->convert_stats_data(Array($stats[$column]['stars'], $ezLoc->data), "stars");
				$data['time_short'] 	= $ezFunc->convert_stats_data(Array($stats[$column]['seconds'], 0, "min", $ezLoc->data["title_time_wp"]), "time");
				$data['kills'] 			= $ezFunc->convert_stats_data(Array($stats[$column]['kills'], 0, "", $ezLoc->data['title_kills']), "number");
				$data['hs'] 			= $ezFunc->convert_stats_data(Array($stats[$column]['headshots'], 0, "", $ezLoc->data['title_headshots']), "number");
				$data['hs_acc']			= $ezFunc->convert_stats_data(Array($stats[$column]['headshots'], $stats[$column]['kills'], 0, "%", $ezLoc->data['title_headshot_ratio']), "ratio");
				$data['kpm'] 			= $ezFunc->convert_stats_data(Array($stats[$column]['kills'], ($stats[$column]['seconds'] / 60), 2, "", $ezLoc->data['title_kmp']), "ratio");
				$data['shots'] 			= $ezFunc->convert_stats_data(Array($stats[$column]['shots_fired'], 0, "", $ezLoc->data['title_shots_fired']), "number");
				$data['hits'] 			= $ezFunc->convert_stats_data(Array($stats[$column]['shots_hit'], 0, "", $ezLoc->data['title_shots_hit']), "number");
				$data['acc']			= $ezFunc->convert_stats_data(Array($stats[$column]['shots_hit'], $stats[$column]['shots_fired'], 0, "%",  $ezLoc->data['title_accuracy']), "ratio");
			}
			
			if ($table == "vehicles") {
				$stats = $ezData->get_stats($player, $table);
				
				$data['stars'] 			= $ezFunc->convert_stats_data(Array($stats[$column]['stars'], $ezLoc->data), "stars");
				$data['time_short'] 	= $ezFunc->convert_stats_data(Array($stats[$column]['seconds'], 0, "min", $ezLoc->data['title_time_fz']), "time");
				$data['kills'] 			= $ezFunc->convert_stats_data(Array($stats[$column]['kills'], 0, "", $ezLoc->data['title_kills']), "number");
				$data['kpm'] 			= $ezFunc->convert_stats_data(Array($stats[$column]['kills'], ($stats[$column]['seconds'] / 60), 2, "", $ezLoc->data['title_kmp']), "ratio");
				if (isset($stats[$column]['roadkills'])) {
					$data['roadkills']		= $ezFunc->convert_stats_data(Array($stats[$column]['roadkills'], 0, "", $ezLoc->data['title_roadkills']), "number");
					$data['distance'] 		= $ezFunc->convert_stats_data(Array($stats[$column]['distance'], 0, "", $ezLoc->data['title_distance']), "number");
				} else {
					$data['roadkills'] = "";
					$data['distance'] = "";
				}
			}
			
			if ($table == "gadgets") {
				$stats = $ezData->get_stats($player, $table);
				
				$data['stars'] 			= $ezFunc->convert_stats_data(Array($stats[$column]['stars'], $ezLoc->data), "stars");
				$data['specials'] 		= $ezFunc->convert_stats_data(Array($stats[$column], $ezLoc->data), "specials");
				if (isset($stats[$column]['kills'])) {
					$data['time_short'] = $ezFunc->convert_stats_data(Array($stats[$column]['seconds'], 0, "min", $ezLoc->data['title_time_wp']), "time");
					$data['kills'] 		= $ezFunc->convert_stats_data(Array($stats[$column]['kills'], 0, "", $ezLoc->data['title_kills']), "number");
					$data['kpm'] 		= $ezFunc->convert_stats_data(Array($stats[$column]['kills'], ($stats[$column]['seconds'] / 60), 2, "", $ezLoc->data['title_kmp']), "ratio");
					$data['hs'] 		= $ezFunc->convert_stats_data(Array($stats[$column]['headshots'], 0, "", $ezLoc->data['title_headshots']), "number");
					$data['shots'] 		= $ezFunc->convert_stats_data(Array($stats[$column]['shots_fired'], 0, "", $ezLoc->data['title_shots_fired']), "number");
					$data['hits'] 		= $ezFunc->convert_stats_data(Array($stats[$column]['shots_hit'], 0, "", $ezLoc->data['title_shots_hit']), "number");
					$data['acc']		= $ezFunc->convert_stats_data(Array($stats[$column]['shots_hit'], $stats[$column]['shots_fired'], 0, "%",  $ezLoc->data['title_accuracy']), "ratio");
				} else {
					$data['time_short'] = "";
					$data['kills'] = "";
					$data['kpm'] = "";
					$data['hs'] = "";
					$data['shots'] = "";
					$data['hits'] = "";
					$data['acc'] = "";
				}
			}
			
			eval ("\$template = \"".$ezLoc->get_template("compare_".$table."_body")."\";");
			echo $template;
		}
		
		eval ("\$template = \"".$ezLoc->get_template("compare_foot")."\";");
		echo $template;
	}
?>